Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » system facilities » homeDirectory
next | previous | forward | backward | up | index | toc

# homeDirectory -- the home directory of the user

- Usage:
    `homeDirectory`
- Outputs:
  - a string, the home directory of the user

## Description

In file operations, file names beginning with ~/ will have it replaced with the home directory.

    i1 : homeDirectory

    o1 = /home/m2user/

## For the programmer

The object homeDirectory is a string.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_system.m2:1889:0.